# --------------------------------------------------------
# Datenbank: SLAED CMS 2.5 Lite
# --------------------------------------------------------

CREATE TABLE `{pref}_admins` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(25) NOT NULL default '',
  `title` varchar(50) default NULL,
  `url` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `pwd` varchar(50) default NULL,
  `super` tinyint(1) default NULL,
  `modules` varchar(255) NOT NULL default '',
  `lang` varchar(30) NOT NULL default '',
  `ip` varchar(15) default NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_blocks` (
  `bid` int(10) NOT NULL auto_increment,
  `bkey` varchar(15) NOT NULL default '',
  `title` varchar(60) NOT NULL default '',
  `content` text NOT NULL,
  `url` varchar(200) NOT NULL default '',
  `bposition` char(1) NOT NULL default '',
  `weight` int(10) NOT NULL default '1',
  `active` int(1) NOT NULL default '1',
  `refresh` int(10) NOT NULL default '0',
  `time` varchar(14) NOT NULL default '0',
  `blanguage` varchar(30) NOT NULL default '',
  `blockfile` varchar(255) NOT NULL default '',
  `view` int(1) NOT NULL default '0',
  `expire` varchar(14) NOT NULL default '0',
  `action` char(1) NOT NULL default '',
  `which` varchar(255) NOT NULL default '',
  PRIMARY KEY (`bid`),
  KEY `title` (`title`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_faqanswer` (
  `id` int(4) NOT NULL auto_increment,
  `id_cat` int(4) NOT NULL default '0',
  `question` text,
  `answer` text,
  `status` tinyint(4) NOT NULL default '1',
  `askname` varchar(60) default NULL,
  `askemail` varchar(60) default NULL,
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_faqcategories` (
  `id_cat` tinyint(3) NOT NULL auto_increment,
  `categories` varchar(255) default NULL,
  `flanguage` varchar(30) NOT NULL default '',
  `parentid` int(11) NOT NULL default '0',
  PRIMARY KEY (`id_cat`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_groups` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `points` int(10) NOT NULL default '0',
  `extra` int(1) NOT NULL default '0',
  `rank` varchar(255) NOT NULL default '',
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_groups_points` (
  `id` int(10) NOT NULL auto_increment,
  `points` int(10) NOT NULL default '0',
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_headlines` (
  `hid` int(11) NOT NULL auto_increment,
  `sitename` varchar(30) NOT NULL default '',
  `headlinesurl` varchar(200) NOT NULL default '',
  PRIMARY KEY (`hid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_message` (
  `mid` int(11) NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  `content` text NOT NULL,
  `expire` int(7) NOT NULL default '0',
  `active` int(1) NOT NULL default '1',
  `view` int(1) NOT NULL default '1',
  `mlanguage` varchar(30) NOT NULL default '',
  PRIMARY KEY (`mid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_modules` (
  `mid` int(10) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `custom_title` varchar(255) NOT NULL default '',
  `active` int(1) NOT NULL default '0',
  `view` int(1) NOT NULL default '0',
  `inmenu` tinyint(1) NOT NULL default '1',
  `mod_group` int(10) default '0',
  `blocks` int(1) NOT NULL default '0',
  `blocks_c` int(1) NOT NULL default '0',
  PRIMARY KEY (`mid`),
  KEY `title` (`title`),
  KEY `custom_title` (`custom_title`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_pages` (
  `pid` int(10) NOT NULL auto_increment,
  `cid` int(10) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `hometext` text NOT NULL,
  `bodytext` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `counter` int(10) NOT NULL default '0',
  `active` int(1) NOT NULL default '1',
  PRIMARY KEY (`pid`),
  KEY `cid` (`cid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_pages_categories` (
  `cid` int(10) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `parentid` int(11) NOT NULL default '0',
  `planguage` varchar(30) NOT NULL default '',
  PRIMARY KEY (`cid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_public_messages` (
  `mid` int(10) NOT NULL auto_increment,
  `content` varchar(255) NOT NULL default '',
  `date` varchar(14) default NULL,
  `who` varchar(25) NOT NULL default '',
  PRIMARY KEY (`mid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_session` (
  `uname` varchar(25) NOT NULL default '',
  `time` varchar(14) NOT NULL default '',
  `host_addr` varchar(48) NOT NULL default '',
  `guest` int(1) NOT NULL default '0',
  `module` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  PRIMARY KEY (`time`),
  KEY `guest` (`guest`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_stories` (
  `sid` int(11) NOT NULL auto_increment,
  `catid` int(11) NOT NULL default '0',
  `aid` varchar(30) NOT NULL default '',
  `title` varchar(80) default NULL,
  `time` datetime default NULL,
  `hometext` text,
  `bodytext` text NOT NULL,
  `field` text NOT NULL,
  `comments` int(11) default '0',
  `counter` mediumint(8) unsigned default NULL,
  `topic` int(3) NOT NULL default '1',
  `ihome` int(1) NOT NULL default '0',
  `alanguage` varchar(30) NOT NULL default '',
  `acomm` int(1) NOT NULL default '0',
  `score` int(10) NOT NULL default '0',
  `ratings` int(10) NOT NULL default '0',
  `associated` text NOT NULL,
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY (`sid`),
  KEY `catid` (`catid`),
  KEY `counter` (`counter`),
  KEY `topic` (`topic`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_stories_cat` (
  `catid` int(11) NOT NULL auto_increment,
  `title` varchar(20) NOT NULL default '',
  PRIMARY KEY (`catid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_survey` (
  `poll_id` int(11) NOT NULL auto_increment,
  `poll_date` datetime default NULL,
  `poll_title` varchar(255) NOT NULL default '',
  `poll_questions` text NOT NULL,
  `poll_answer_1` int(11) NOT NULL default '0',
  `poll_answer_2` int(11) NOT NULL default '0',
  `poll_answer_3` int(11) NOT NULL default '0',
  `poll_answer_4` int(11) NOT NULL default '0',
  `poll_answer_5` int(11) NOT NULL default '0',
  `poll_answer_6` int(11) NOT NULL default '0',
  `poll_answer_7` int(11) NOT NULL default '0',
  `poll_answer_8` int(11) NOT NULL default '0',
  `poll_answer_9` int(11) NOT NULL default '0',
  `poll_answer_10` int(11) NOT NULL default '0',
  `poll_answer_11` int(11) NOT NULL default '0',
  `poll_answer_12` int(11) NOT NULL default '0',
  `pool_vote` int(11) NOT NULL default '0',
  `pool_comments` int(11) NOT NULL default '0',
  `planguage` varchar(30) NOT NULL default '',
  `acomm` int(1) NOT NULL default '0',
  PRIMARY KEY (`poll_id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_survey_check` (
  `ip` varchar(20) NOT NULL default '',
  `time` varchar(14) NOT NULL default '',
  `poll_id` int(10) NOT NULL default '0',
  PRIMARY KEY (`time`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_topics` (
  `topicid` int(3) NOT NULL auto_increment,
  `topicname` varchar(20) default NULL,
  `topicimage` varchar(20) default NULL,
  `topictext` varchar(40) default NULL,
  PRIMARY KEY (`topicid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_files` (
  `lid` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `title` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  `url` varchar(100) NOT NULL default '',
  `img` varchar(100) NOT NULL default '',
  `date` datetime default NULL,
  `filesize` int(11) NOT NULL default '0',
  `version` varchar(10) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `homepage` varchar(200) NOT NULL default '',
  `ip_sender` varchar(60) default NULL,
  `votes` int(11) NOT NULL default '0',
  `totalvotes` int(11) NOT NULL default '0',
  `totalcomments` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY (`lid`),
  KEY `cid` (`cid`),
  KEY `title` (`title`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_files_categories` (
  `cid` int(11) NOT NULL auto_increment,
  `title` varchar(50) NOT NULL default '',
  `cdescription` text NOT NULL,
  `parentid` int(11) NOT NULL default '0',
  PRIMARY KEY (`cid`),
  KEY `title` (`title`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_files_poolchec` (
  `lid` int(11) NOT NULL default '0',
  `time` varchar(14) NOT NULL default '',
  `host_addr` varchar(48) NOT NULL default '',
  PRIMARY KEY (`time`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_comment` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `modul` varchar(60) NOT NULL default '',
  `date` datetime default NULL,
  `uid` int(11) NOT NULL default '0',
  `name` varchar(60) NOT NULL default '',
  `host_name` varchar(60) default NULL,
  `comment` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_users` (
  `user_id` int(11) NOT NULL auto_increment,
  `user_name` varchar(25) NOT NULL default '',
  `user_email` varchar(255) NOT NULL default '',
  `user_website` varchar(255) NOT NULL default '',
  `user_avatar` varchar(255) NOT NULL default '',
  `user_regdate` date NOT NULL,
  `user_icq` varchar(15) default NULL,
  `user_occ` varchar(100) default NULL,
  `user_from` varchar(100) default NULL,
  `user_interests` varchar(150) NOT NULL default '',
  `user_sig` varchar(255) default NULL,
  `user_viewemail` tinyint(1) default NULL,
  `user_aim` varchar(18) default NULL,
  `user_yim` varchar(25) default NULL,
  `user_msnm` varchar(25) default NULL,
  `user_password` varchar(40) NOT NULL default '',
  `user_storynum` tinyint(4) NOT NULL default '10',
  `user_blockon` tinyint(1) NOT NULL default '0',
  `user_block` tinytext NOT NULL,
  `user_theme` varchar(255) NOT NULL default '',
  `user_newsletter` int(1) NOT NULL default '0',
  `user_broadcast` tinyint(1) NOT NULL default '1',
  `user_lastvisit` int(11) NOT NULL default '0',
  `user_lang` varchar(255) NOT NULL default 'russian',
  `user_points` int(10) default '0',
  `user_last_ip` varchar(15) NOT NULL default '0',
  `user_warnings` int(5) NOT NULL default '0',
  `user_group` int(1) NOT NULL default '0',
  `user_birthday` date default NULL,
  `user_gender` int(1) NOT NULL default '0',
  `user_field` text NOT NULL,
  PRIMARY KEY (`user_id`)
) TYPE=MyISAM;

CREATE TABLE `{pref}_users_temp` (
  `user_id` int(10) NOT NULL auto_increment,
  `user_name` varchar(25) NOT NULL default '',
  `user_email` varchar(255) NOT NULL default '',
  `user_password` varchar(40) NOT NULL default '',
  `user_regdate` date NOT NULL,
  `check_num` varchar(50) NOT NULL default '',
  `time` varchar(14) NOT NULL default '',
  PRIMARY KEY (`user_id`)
) TYPE=MyISAM;